$1    PROCEDURE [dbo].[FastSell_v2_BarkodBilgileri]
	@lastup_date datetime,
	@depono int
AS
BEGIN
--if @depono != 0
	Begin
		Select
			NEWID() [GuidNo],
			0 [TempID],
			bar_create_date [create_date],
			bar_create_user [create_user],
			sto_lastup_date [lastup_date],
			sto_lastup_user [lastup_user],
			bar_kodu [barkodu],
			bar_stokkodu [stokkodu],
			@depono [depono],
			bar_partikodu [parti_kodu],
			bar_lotno [lot_no],
			bar_icerigi [tip],--gecici olarak boyle duracak
			bar_barkodtipi [icerik],--gecici olarak boyle duracak
			bar_baglantitipi [baglanti],
			(Case	When bar_birimpntr = 1 Then sto_birim1_ad 
					When bar_birimpntr = 2 Then sto_birim2_ad
					When bar_birimpntr = 3 Then sto_birim3_ad
					When bar_birimpntr = 4 Then sto_birim4_ad
					Else sto_birim1_ad End
			) [birim_ad], 

						(Case	When bar_birimpntr = 1 Then sto_birim1_katsayi 
					When bar_birimpntr = 2 Then sto_birim2_katsayi
					When bar_birimpntr = 3 Then sto_birim3_katsayi
					When bar_birimpntr = 4 Then sto_birim4_katsayi
					Else -1 End
			)*-1 [birim_katsayi],

			bar_birimpntr [birim_pntr],
			


			
			CASE WHEN sto_birim4_katsayi>0 THEN
			 (sto_birim4_katsayi)
	ELSE
			sto_birim4_katsayi*-1 END [birim_agirlik],






			dbo.fn_FastSell_v2_StokBirimKatsayi(bar_birimpntr,sto_birim1_katsayi,sto_birim2_katsayi,sto_birim3_katsayi,sto_birim4_katsayi) [birim_katsayi],
			dbo.fn_StokSatisFiyati(bar_stokkodu,1,@depono,bar_birimpntr)/
				dbo.fn_FastSell_v2_StokBirimKatsayi(bar_birimpntr,sto_birim1_katsayi,sto_birim2_katsayi,sto_birim3_katsayi,sto_birim4_katsayi) [birim_fiyat1],
			dbo.fn_StokSatisFiyati(bar_stokkodu,2,@depono,bar_birimpntr)/
				dbo.fn_FastSell_v2_StokBirimKatsayi(bar_birimpntr,sto_birim1_katsayi,sto_birim2_katsayi,sto_birim3_katsayi,sto_birim4_katsayi) [birim_fiyat2],
			dbo.fn_StokSatisFiyati(bar_stokkodu,3,@depono,bar_birimpntr)/
				dbo.fn_FastSell_v2_StokBirimKatsayi(bar_birimpntr,sto_birim1_katsayi,sto_birim2_katsayi,sto_birim3_katsayi,sto_birim4_katsayi) [birim_fiyat3],
			dbo.fn_StokSatisFiyati(bar_stokkodu,4,@depono,bar_birimpntr)/
				dbo.fn_FastSell_v2_StokBirimKatsayi(bar_birimpntr,sto_birim1_katsayi,sto_birim2_katsayi,sto_birim3_katsayi,sto_birim4_katsayi) [birim_fiyat4],
			dbo.fn_StokSatisFiyati(bar_stokkodu,5,@depono,bar_birimpntr)/
				dbo.fn_FastSell_v2_StokBirimKatsayi(bar_birimpntr,sto_birim1_katsayi,sto_birim2_katsayi,sto_birim3_katsayi,sto_birim4_katsayi) [birim_fiyat5]
		From
			BARKOD_TANIMLARI
		Left Join
			STOKLAR on sto_kod = bar_stokkodu
		WHERE
			(sto_lastup_date >= @lastup_date) AND 
			(sto_kod is not null)
		Order by 
			create_date
	End
--Else
--	Begin
--		Select
--			NEWID() [GuidNo],
--			0 [TempID],
--			bar_create_date [create_date],
--			bar_create_user [create_user],
--			sto_lastup_date [lastup_date],
--			sto_lastup_user [lastup_user],
--			bar_kodu [barkodu],
--			bar_stokkodu [stokkodu],
--			dep_no [depono],
--			bar_partikodu [parti_kodu],
--			bar_lotno [lot_no],
--			bar_barkodtipi [tip],
--			bar_icerigi [icerik],
--			bar_baglantitipi [baglanti],
--			(Case	When bar_birimpntr = 1 Then sto_birim1_ad 
--					When bar_birimpntr = 2 Then sto_birim2_ad
--					When bar_birimpntr = 3 Then sto_birim3_ad
--					When bar_birimpntr = 4 Then sto_birim4_ad
--					Else sto_birim1_ad End
--			) [birim_ad],
--			bar_birimpntr [birim_pntr],
--			0 [birim_agirlik],
--			1 [birim_katsayi],
--			dbo.fn_StokSatisFiyati(bar_stokkodu,1,dep_no,bar_birimpntr) [birim_fiyat1],
--			dbo.fn_StokSatisFiyati(bar_stokkodu,2,dep_no,bar_birimpntr) [birim_fiyat2],
--			dbo.fn_StokSatisFiyati(bar_stokkodu,3,dep_no,bar_birimpntr) [birim_fiyat3],
--			dbo.fn_StokSatisFiyati(bar_stokkodu,4,dep_no,bar_birimpntr) [birim_fiyat4],
--			dbo.fn_StokSatisFiyati(bar_stokkodu,5,dep_no,bar_birimpntr) [birim_fiyat5]
--		From
--			BARKOD_TANIMLARI
--		CROSS JOIN 
--			DEPOLAR
--		Left Join
--			STOKLAR on sto_kod = bar_stokkodu
--		WHERE
--			(sto_lastup_date >= @lastup_date) AND 
--			(sto_kod is not null)
--		Order by 
--			create_date
--	End
END